
Jupiter - Zadanie #1555
Utworzenie serwisu do zarządzania bazami
2017-02-09 15:25 - Michał Komar

Status: Zamknięty Start date: 2017-02-09
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: backend Estimated time: 0.00 hour
Target version: 0.3
Developer: Łukasz Waśkiewicz Tester: Michał Komar
Description

Funkcje serwisu dostępne jedynie dla super-administratora
Funkcjonalność serwisu:

    1. dodawanie bazy
        -  nazwa datasetu (wybór z infonowych lub nowy)
        -  mail do administratora
        -  przypisywanie workflow
    2. zmiana administratora
    3. usuwanie bazy (flaga)

Related issues:
Related to Jupiter - Zadanie # 1588: uniemożliwić logowanie użytkownikom z za... Zamknięty 2017-03-03

Associated revisions
Revision 7f5c8eb2 - 2017-02-23 15:22 - Łukasz Waśkiewicz

refs #1555 serwis do baz

Revision 33316a1a - 2017-03-02 12:34 - Łukasz Waśkiewicz

refs #1555 przeglądanie baz, dodawanie, edycja

Revision d4c37420 - 2017-03-02 13:49 - Michał Komar

refs #1555: Dodanie importu

Revision d3232c6c - 2017-03-03 09:19 - Łukasz Waśkiewicz

refs #1555 dostęp do datasetów z infony

Revision 0c281ad9 - 2017-03-03 09:19 - Łukasz Waśkiewicz

refs #1555 dostęp do datasetów z infony

Revision e1282422 - 2017-03-03 09:19 - Łukasz Waśkiewicz
refs #1555 UI wyboru datasetu

Revision ffc56feb - 2017-03-03 09:19 - Łukasz Waśkiewicz

refs #1555 refaktoring nazw

Revision 8e6c44a4 - 2017-03-03 09:53 - Łukasz Waśkiewicz

refs #1555 refaktoring nazw, poprawa kompilacji ui

Revision d00afe81 - 2017-03-03 10:07 - Łukasz Waśkiewicz

refs #1555 poprawa kompilacji ui

Revision a7c8ded6 - 2017-03-03 10:23 - Łukasz Waśkiewicz

refs #1555 poprawa kompilacji ui

Revision 7b40a3d3 - 2017-03-03 10:56 - Łukasz Waśkiewicz

refs #1555 dodanie wybierania workflow

Revision e0e4584a - 2017-03-03 15:42 - Łukasz Waśkiewicz

refs #1555 blokowanie baz

Revision 13fb09a7 - 2017-03-03 16:39 - Łukasz Waśkiewicz

refs #1555 bazy wyciągnięcie wspólnych scss

Revision 466b9716 - 2017-03-03 16:48 - Łukasz Waśkiewicz

refs #1555 sql version change

Revision ce69bb8e - 2017-03-28 14:42 - Łukasz Waśkiewicz

refs #1555 blokada i walidacja, wielokrotnego uzycia datasetu

History
#1 - 2017-02-23 15:22 - Łukasz Waśkiewicz
- Status changed from Nowy to W toku

#2 - 2017-03-03 15:44 - Łukasz Waśkiewicz
- Related to Zadanie #1588: uniemożliwić logowanie użytkownikom z zablokowanych grup added

#3 - 2017-03-03 15:44 - Łukasz Waśkiewicz
- Status changed from W toku to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar
- % Done changed from 0 to 100

#4 - 2017-03-03 15:45 - Łukasz Waśkiewicz

    -  użytkownicy(administratorzy) ustawiani w edycji użytkowników

#5 - 2017-03-16 10:23 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Wydaje mi się, że nie powinno być możliwości dodania drugiej bazy z tym samym datasetem.

#6 - 2017-03-29 08:37 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

poprawione

#7 - 2017-04-03 12:21 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Przy dodawaniu:

DEBUG o.s.web.servlet.DispatcherServlet - Could not complete request
java.lang.NullPointerException: null
    at pl.edu.icm.jupiter.services.userGroup.JupiterUserGroupServiceImpl.mappedOrNull(JupiterUserGroupServiceImpl.java:108)
    at pl.edu.icm.jupiter.services.userGroup.JupiterUserGroupServiceImpl.findDatabaseByDataset(JupiterUserGroupServiceImpl.java:65)
    at pl.edu.icm.jupiter.services.userGroup.JupiterUserGroupServiceImpl.updateDatabaseProperties(JupiterUserGroupServiceImpl.java:140)
    at pl.edu.icm.jupiter.services.userGroup.JupiterUserGroupServiceImpl$$FastClassBySpringCGLIB$$dce7800a.invoke(<generated>)
    at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:204)
    at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:721)
    at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:157)
    at org.springframework.security.access.intercept.aopalliance.MethodSecurityInterceptor.invoke(MethodSecurityInterceptor.java:69)
    at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:179)
    at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:656)
    at
pl.edu.icm.jupiter.services.userGroup.JupiterUserGroupServiceImpl$$EnhancerBySpringCGLIB$$c6a6798d.updateDatabaseProperties(<generated>)
    at pl.edu.icm.jupiter.web.controllers.UserGroupController.saveDatabase(UserGroupController.java:42)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
#8 - 2017-04-10 12:21 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

Poprawione

#9 - 2017-04-11 10:05 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Dodać do dyrektywy wyświetlającej tabele side-by-side dwa parametry: 
left-actions:'internal','external'
right-actions:'internal','external'

Opcja external powoduje wyświetlenie akcji "przenieś zaznaczony" oraz "przenieś wyszystkie" na zewnętrznej belce.
Opcja internal powoduje, że akce te są obsługiwane przez wewnętrzny komponent tabelki.

W naszej sytuacji, gdy jest internal, powinien generować się przycisk clear przy tabelce oraz ikonka do usuwania wiersza na każdym wierszu.

#10 - 2017-04-28 09:52 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

commit w innym tasku

#11 - 2017-05-09 11:46 - Michał Komar
- Status changed from Testowanie to Rozwiązany

Wygląda ok

#12 - 2017-06-06 11:56 - Michał Komar
- Status changed from Rozwiązany to Zamknięty
